FS_QUOTA(1)

NAME
fs_quota - Displays the quota used in the volume containing a directory or file

SYNOPSIS
fs quota << [-path <dir/file path+] >>> [-help]

fs q << [-p <dir/file path+] >>> [-h]

DESCRIPTION
The fs quota command displays the percent of quota consumed in the volume that contains each specified directory or file.

To display more detailed information about the volume and the partition it resides on, use the fs examine and fs listquota commands.

To set volume quota, use the fs setquota or fs setvol command.

CAUTIONS
Currently, the maximum size of a volume is 2 terabytes (2^31 bytes) and the maximum size of a /vicepX partition on a fileserver is also 2 terabytes. The fileserver will not report an error when it has access to a partition larger than 2 terabytes, but it will probably fail if the administrator attempts to use more than 2 terabytes of space. In addition, there are reports of erroneous disk usage numbers when vos partinfo or other OpenAFS disk reporting tools are used with partitions larger than 2 terabytes.

OPTIONS

-path <dir/file path>
    Names each file or directory for which to display the quota consumed in its parent volume. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output reports the percent of volume quota used, in the following format:

   <percent>% of quota used.

EXAMPLES
The following command lists the percent quota used of the volume housing the current working directory:

   % fs quota
   17% of quota used.
The following command lists the percent quota used of both the volume housing the current working directory's parent directory and the volume housing the directory /afs/abc.com/usr/smith:

   % fs quota -path .. /afs/abc.com/usr/smith
   43% of quota used.
   92% of quota used.

PRIVILEGE REQUIRED
The issuer must have the r (read) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and l (list) permission on the ACL of each directory that precedes it in the pathname.

SEE ALSO
the fs_examine(1) manpage, the fs_listquota(1) manpage, the fs_setquota(1) manpage, the fs_setvol(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.